Package com.google.android.exoplayer2.upstream

## Interface Allocator.AllocationNode

- Enclosing interface:
    Allocator

      public static interface Allocator.AllocationNode

  A node in a chain of `Allocations`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Allocation` | `getAllocation()` | Returns the `Allocation` associated to this chain node.
    `Allocator.AllocationNode` | `next()` | Returns the next chain node, or `null` if this is the last node in the chain.

- - ### Method Detail

    - #### getAllocation

          Allocation getAllocation()

      Returns the `Allocation` associated to this chain node.

    - #### next

          @Nullable
          Allocator.AllocationNode next()

      Returns the next chain node, or `null` if this is the last node in the chain.